part of 'gate_way_bloc.dart';

sealed class GateWayEvent extends Equatable {
  const GateWayEvent();

  @override
  List<Object> get props => [];
}

class GateWayLoading extends GateWayEvent {}

class GateWayFetch extends GateWayEvent {
  final String deviceId;
  const GateWayFetch(this.deviceId);
}

class GatWayById extends GateWayEvent {
  final String getWayId;
  const GatWayById(this.getWayId);
}

class GateWayFactoryReset extends GateWayEvent {
  final String deviceId;
  final FactoryResetModel factoryReset;
  const GateWayFactoryReset({
    required this.deviceId,
    required this.factoryReset,
  });

  @override
  List<Object> get props => [deviceId, factoryReset];
}
